int dnsx_lookup(char *name, char *type, char *result, int resultsz, char *reason, int timeout, char *rhosts);
int dnsx_add_nameserver(char *servers);
int dnsx_set_ipv6(int x);
char *dnsx_status(int i, char *bf);
int dnsx_nservers(void);
int dnsx_ntimeout(void);
int dnsx_set_mutex(int (*cb)(int vm, int isget, int seconds), int m);

int dnsx_setlog(int x);